# Generated by Django 4.1.8 on 2023-04-16 12:45

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("calendar_utils", "0004_auto_20220505_1228"),
        ("main", "0055_remove_mainpersonpage_nextcloud_calendar_url_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="mainpersonpage",
            name="ical_calendar_url",
        ),
        migrations.AddField(
            model_name="mainpersonpage",
            name="calendar",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="calendar_utils.calendar",
            ),
        ),
        migrations.AddField(
            model_name="mainpersonpage",
            name="calendar_url",
            field=models.URLField(
                blank=True, null=True, verbose_name="URL kalendáře ve formátu iCal"
            ),
        ),
    ]
